Retrieve an Async Transaction Log

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
GET /async_transaction_log

Query parameters

  • fields string

    filter and/or select response fields. Use fields=<fieldname>(="<value>") to filter by any available field. Multiple filters can be combined with a comma. Example: fields=username(="testuser"),profile_id(="12345"). Filterable fields: id, server_id, profile_id, username, request_time, request_version, remote_address, request_uri, request_function, request_method

  • limit number

    maximum number of results to return

  • offset number

    skip that many records before beginning to return

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • id number Required
    • profile_id number Required
    • remote_address string Required
    • request_method string
    • requestfunction_serverpostxml string
    • request_time string Required
    • requesturi_exzactapiv70profilesselfpages1234triggerposts string
    • request_version string Required
    • server_id string Required
    • username string Required
GET /async_transaction_log
curl \
 --request GET 'https://api.iformbuilder.com/exzact/api/v80/%5Bservername%5D/async_transaction_log' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "id": 1,
  "profile_id": 12345,
  "remote_address": "10.31.0.95",
  "request_function": "SERVER_POST_XML",
  "request_method": "POST",
  "request_time": "2024-05-13 20:28:34 +0000",
  "request_uri": "/exzact/api/v70/profiles/self/pages/1234/trigger_posts",
  "request_version": "1",
  "server_id": "app",
  "username": "testuser"
}